curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Diagnostic\", \"id\": \"1\", \"name\": \"one\", \"value\": 1, \"type\": \"Identity\" }, { \"object\": \"Diagnostic\", \"id\": \"2\", \"name\": \"two\", \"value\": 2, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"3\", \"name\": \"three\", \"value\": 3, \"is_prime\": true, \"type\": \"Mersenne Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"4\", \"name\": \"four\", \"value\": 4, \"is_prime\": false, \"type\": \"Perfect Square\" }, { \"object\": \"Diagnostic\", \"id\": \"5\", \"name\": \"five\", \"value\": 5, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"6\", \"name\": \"six\", \"value\": 6, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"7\", \"name\": \"seven\", \"value\": 7, \"is_prime\": true, \"type\": \"Mersenne Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"8\", \"name\": \"eight\", \"value\": 8, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"9\", \"name\": \"nine\", \"value\": 9, \"is_prime\": false, \"type\": \"Perfect Square\" }, { \"object\": \"Diagnostic\", \"id\": \"10\", \"name\": \"ten\", \"value\": 10, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"11\", \"name\": \"eleven\", \"value\": 11, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"12\", \"name\": \"twelve\", \"value\": 12, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"13\", \"name\": \"thirteen\", \"value\": 13, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"14\", \"name\": \"fourteen\", \"value\": 14, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"15\", \"name\": \"fifteen\", \"value\": 15, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"16\", \"name\": \"sixteen\", \"value\": 16, \"is_prime\": false, \"type\": \"Perfect Square\" }, { \"object\": \"Diagnostic\", \"id\": \"17\", \"name\": \"seventeen\", \"value\": 17, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"18\", \"name\": \"eighteen\", \"value\": 18, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"19\", \"name\": \"nineteen\", \"value\": 19, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"20\", \"name\": \"twenty\", \"value\": 20, \"is_prime\": false, \"type\": \"Composite\" } ], \"total_count\": 250, \"url\": \"/diagnostics\", \"next\": \"/diagnostics?starting_after=20\", \"previous\": \"/diagnostics?ending_before=1\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}list diagnostics
Retrieves all diagnostics objects.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/diagnostics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Diagnostic\", \"id\": \"1\", \"name\": \"one\", \"value\": 1, \"type\": \"Identity\" }, { \"object\": \"Diagnostic\", \"id\": \"2\", \"name\": \"two\", \"value\": 2, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"3\", \"name\": \"three\", \"value\": 3, \"is_prime\": true, \"type\": \"Mersenne Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"4\", \"name\": \"four\", \"value\": 4, \"is_prime\": false, \"type\": \"Perfect Square\" }, { \"object\": \"Diagnostic\", \"id\": \"5\", \"name\": \"five\", \"value\": 5, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"6\", \"name\": \"six\", \"value\": 6, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"7\", \"name\": \"seven\", \"value\": 7, \"is_prime\": true, \"type\": \"Mersenne Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"8\", \"name\": \"eight\", \"value\": 8, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"9\", \"name\": \"nine\", \"value\": 9, \"is_prime\": false, \"type\": \"Perfect Square\" }, { \"object\": \"Diagnostic\", \"id\": \"10\", \"name\": \"ten\", \"value\": 10, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"11\", \"name\": \"eleven\", \"value\": 11, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"12\", \"name\": \"twelve\", \"value\": 12, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"13\", \"name\": \"thirteen\", \"value\": 13, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"14\", \"name\": \"fourteen\", \"value\": 14, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"15\", \"name\": \"fifteen\", \"value\": 15, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"16\", \"name\": \"sixteen\", \"value\": 16, \"is_prime\": false, \"type\": \"Perfect Square\" }, { \"object\": \"Diagnostic\", \"id\": \"17\", \"name\": \"seventeen\", \"value\": 17, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"18\", \"name\": \"eighteen\", \"value\": 18, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"19\", \"name\": \"nineteen\", \"value\": 19, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"20\", \"name\": \"twenty\", \"value\": 20, \"is_prime\": false, \"type\": \"Composite\" } ], \"total_count\": 250, \"url\": \"/diagnostics\", \"next\": \"/diagnostics?starting_after=20\", \"previous\": \"/diagnostics?ending_before=1\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Response
JSON A list array of Diagnostics. Each entry in the array is a full Diagnostics object. If no more objects are available, the resulting array will be empty. This request should never throw an error. A list of Diagnostics objects matching the query. Also: "total_count": Integer count of the number of Diagnostics objects in the returned list. "url": The query string provided in the request "next": The route (partial URL) to the next Diagnostics object (string to select the “next”); included id should match that of the last object returned here "previous": The route (partial URL) to the previous Diagnostics object (string to select the “previous”); included id should match that of the first object returned here
List Show child attributes
Show child attributes
Integer count of the number of items in the returned list.
The query string provided in the request
The route (partial URL) to the next Diagnostic object (string to select the "next"); included id should match that of the last object returned here.
The route (partial URL) to the previous Diagnostic object (string to select the "previous"); included id should match that of the first object returned here.
"{ \"object\": \"List\", \"data\": [ { \"object\": \"Diagnostic\", \"id\": \"1\", \"name\": \"one\", \"value\": 1, \"type\": \"Identity\" }, { \"object\": \"Diagnostic\", \"id\": \"2\", \"name\": \"two\", \"value\": 2, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"3\", \"name\": \"three\", \"value\": 3, \"is_prime\": true, \"type\": \"Mersenne Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"4\", \"name\": \"four\", \"value\": 4, \"is_prime\": false, \"type\": \"Perfect Square\" }, { \"object\": \"Diagnostic\", \"id\": \"5\", \"name\": \"five\", \"value\": 5, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"6\", \"name\": \"six\", \"value\": 6, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"7\", \"name\": \"seven\", \"value\": 7, \"is_prime\": true, \"type\": \"Mersenne Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"8\", \"name\": \"eight\", \"value\": 8, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"9\", \"name\": \"nine\", \"value\": 9, \"is_prime\": false, \"type\": \"Perfect Square\" }, { \"object\": \"Diagnostic\", \"id\": \"10\", \"name\": \"ten\", \"value\": 10, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"11\", \"name\": \"eleven\", \"value\": 11, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"12\", \"name\": \"twelve\", \"value\": 12, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"13\", \"name\": \"thirteen\", \"value\": 13, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"14\", \"name\": \"fourteen\", \"value\": 14, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"15\", \"name\": \"fifteen\", \"value\": 15, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"16\", \"name\": \"sixteen\", \"value\": 16, \"is_prime\": false, \"type\": \"Perfect Square\" }, { \"object\": \"Diagnostic\", \"id\": \"17\", \"name\": \"seventeen\", \"value\": 17, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"18\", \"name\": \"eighteen\", \"value\": 18, \"is_prime\": false, \"type\": \"Composite\" }, { \"object\": \"Diagnostic\", \"id\": \"19\", \"name\": \"nineteen\", \"value\": 19, \"is_prime\": true, \"type\": \"Prime\" }, { \"object\": \"Diagnostic\", \"id\": \"20\", \"name\": \"twenty\", \"value\": 20, \"is_prime\": false, \"type\": \"Composite\" } ], \"total_count\": 250, \"url\": \"/diagnostics\", \"next\": \"/diagnostics?starting_after=20\", \"previous\": \"/diagnostics?ending_before=1\" }"

